For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all Shares

This endpoint enables retrieving all Shares using pagination and optional filters.

get
/clusters/{clusterId}/shares
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
Responses
200

Returned all requested Shares successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of Share resources.

Example: ce834630-97f2-56a7-bc99-4427e61d4714
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Share resources.

Example: /clusters/{clusterId}/shares
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/clusters/{clusterId}/shares
GET /clusters/{clusterId}/shares HTTP/1.1
Host: nfs.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "ce834630-97f2-56a7-bc99-4427e61d4714",
  "type": "collection",
  "href": "/clusters/{clusterId}/shares",
  "items": [
    {
      "id": "7b1ef56d-dfc6-51fe-aff0-7af2d6747868",
      "type": "share",
      "href": "/clusters/{clusterId}/shares/7b1ef56d-dfc6-51fe-aff0-7af2d6747868",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "status": "AVAILABLE",
        "statusMessage": null,
        "nfsPath": "/123e4567-e89b-12d3-a456-426614174222",
        "used": 134217728
      },
      "properties": {
        "name": "example-export",
        "quota": 512,
        "clientGroups": [
          {
            "ipNetworks": [
              "10.234.50.0/24"
            ],
            "hosts": [
              "10.234.62.123"
            ],
            "nfs": {
              "squash": "all-anonymous"
            }
          }
        ]
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Last updated

Was this helpful?